Bug 1565504 - Review Request: python-sphinxcontrib-apidoc - A Sphinx extension for running sphinx-apidoc on each build
Summary: Review Request: python-sphinxcontrib-apidoc - A Sphinx extension for running ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-ROCKY
TreeView+ depends on / blocked
 
Reported: 2018-04-10 07:21 UTC by Chandan Kumar
Modified: 2018-05-09 21:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 21:22:13 UTC
Type: ---
jpena: fedora-review+


Attachments (Terms of Use)

Description Chandan Kumar 2018-04-10 07:21:56 UTC
Spec URL: https://chandankumar.fedorapeople.org/python-sphinxcontrib-apidoc.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-sphinxcontrib-apidoc-0.2.1-1.fc27.src.rpm
Description: This package contains Sphinx extension for running sphinx-apidoc_
on each build.Overview *sphinx-apidoc* is a tool for automatic generation
of Sphinx sources that, using the autodoc <sphinx_autodoc>_ extension,
documents a whole package in the style of other automatic API documentation
tools. *sphinx-apidoc* does not actually build documentation - rather it
simply generates it.
Fedora Account System Username: chandankumar

Comment 1 Javier Peña 2018-04-10 08:48:59 UTC
Hi Chandan,

I have some initial comments on the spec:

* For the with_python3 statement, the latest Fedora reviews use the following snippet:

%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

* Python 3 build requirements are missing

* There is a test directory in the PyPi tarball. I'm not sure if we want to keep it, if not we should %exclude it in the %files section.

Comment 2 Chandan Kumar 2018-04-10 11:24:00 UTC
Hey Jpena,

Thanks for the review.
Below is the updated 
SPEC: https://chandankumar.fedorapeople.org/python-sphinxcontrib-apidoc.spec
SRPM: https://chandankumar.fedorapeople.org/python-sphinxcontrib-apidoc-0.2.1-2.fc27.src.rpm

Thanks,

Chandan Kumar

Comment 3 Javier Peña 2018-04-10 13:00:52 UTC
Hi Chandan,

Thanks for the fixes. I still have some comments:

- The with_python3 snippet still needs to be changed (see comment 1)
- Please include python BRs within "%if 0%{?with_python3} ... %endif", otherwise a RHEL 7 rebuild would fail.
- I have checked in a venv, and the tests do not get installed. So we can remove the following line:

rm -r $(find %{_buildrootdir} -type d -name 'tests') || /bin/true

Comment 4 Chandan Kumar 2018-04-10 14:04:56 UTC
Hello Jpena,

Thanks for the comment.
Here is the updated
SPEC: https://chandankumar.fedorapeople.org/python-sphinxcontrib-apidoc.spec
SRPM: https://chandankumar.fedorapeople.org/python-sphinxcontrib-apidoc-0.2.1-3.fc27.src.rpm

Thanks,

Chandan Kumar

Comment 6 Javier Peña 2018-04-10 15:05:41 UTC
Two final issues I have found on a test fedora-review run, and we should be done:

- Even if we do "py.test ||", fedora-review fails when running unit tests, so we'd better comment it out.

- In the %files section, we have:

%{python2_sitelib}/sphinxcontrib
...
%{python3_sitelib}/sphinxcontrib

Fedora-review complains that the directory is already owned by other package, so we could try to be more specific and use:

%{python2_sitelib}/sphinxcontrib/apidoc
...
%{python3_sitelib}/sphinxcontrib/apidoc

Comment 9 Javier Peña 2018-04-10 16:34:15 UTC
Review notes:

- The rpmlint notes about macros in comments are expected. Unit tests are currently disabled due to an issue in the tagged version, and should be enabled in the future.

The package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "BSD (2 clause)", "Unknown or generated".
     34 files have unknown license. Detailed output of licensecheck in
     /tmp/1565504-python-sphinxcontrib-apidoc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages/sphinxcontrib, /usr/lib/python2.7/site-packages/sphinxcontrib
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -sphinxcontrib-apidoc , python3-sphinxcontrib-apidoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sphinxcontrib-apidoc-0.2.1-6.fc29.noarch.rpm
          python3-sphinxcontrib-apidoc-0.2.1-6.fc29.noarch.rpm
          python-sphinxcontrib-apidoc-0.2.1-6.fc29.src.rpm
python2-sphinxcontrib-apidoc.noarch: W: spelling-error %description -l en_US autodoc -> auto doc, auto-doc, autodidact
python3-sphinxcontrib-apidoc.noarch: W: spelling-error %description -l en_US autodoc -> auto doc, auto-doc, autodidact
python-sphinxcontrib-apidoc.src: W: spelling-error %description -l en_US autodoc -> auto doc, auto-doc, autodidact
python-sphinxcontrib-apidoc.src:82: W: macro-in-comment %check
python-sphinxcontrib-apidoc.src:87: W: macro-in-comment %{with
python-sphinxcontrib-apidoc.src:89: W: macro-in-comment %endif
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python2-sphinxcontrib-apidoc.noarch: W: spelling-error %description -l en_US autodoc -> auto doc, auto-doc, autodidact
python2-sphinxcontrib-apidoc.noarch: W: invalid-url URL: http://www.sphinx-doc.org/ <urlopen error [Errno -2] Name or service not known>
python3-sphinxcontrib-apidoc.noarch: W: spelling-error %description -l en_US autodoc -> auto doc, auto-doc, autodidact
python3-sphinxcontrib-apidoc.noarch: W: invalid-url URL: http://www.sphinx-doc.org/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python2-sphinxcontrib-apidoc (rpmlib, GLIBC filtered):
    python(abi)
    python2-pbr
    python2-sphinx

python3-sphinxcontrib-apidoc (rpmlib, GLIBC filtered):
    python(abi)
    python3-pbr
    python3-sphinx



Provides
--------
python2-sphinxcontrib-apidoc:
    python-sphinxcontrib-apidoc
    python2-sphinxcontrib-apidoc
    python2.7dist(sphinxcontrib-apidoc)
    python2dist(sphinxcontrib-apidoc)

python3-sphinxcontrib-apidoc:
    python3-sphinxcontrib-apidoc
    python3.6dist(sphinxcontrib-apidoc)
    python3dist(sphinxcontrib-apidoc)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/s/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 4051899e7546621d34ec3bae789ce21aa6288c8def0e3f8af9b333782f2305f4
  CHECKSUM(SHA256) upstream package : 4051899e7546621d34ec3bae789ce21aa6288c8def0e3f8af9b333782f2305f4


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1565504 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Gwyn Ciesla 2018-04-10 16:50:22 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-sphinxcontrib-apidoc

Comment 11 Fedora Update System 2018-04-13 08:24:25 UTC
python-sphinxcontrib-apidoc-0.2.1-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6683babf40

Comment 12 Fedora Update System 2018-04-13 08:33:13 UTC
python-sphinxcontrib-apidoc-0.2.1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-864dc74943

Comment 13 Fedora Update System 2018-04-15 02:25:23 UTC
python-sphinxcontrib-apidoc-0.2.1-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6683babf40

Comment 14 Fedora Update System 2018-04-15 16:21:53 UTC
python-sphinxcontrib-apidoc-0.2.1-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-864dc74943

Comment 15 Fedora Update System 2018-05-09 21:22:13 UTC
python-sphinxcontrib-apidoc-0.2.1-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.